Invalid CA Certificate/ Your connection isn't private


  • ๐Ÿ‘ป Happy New Year to ALL!๐Ÿ‘ป

    Guys/Gals,

    I'm getting this error messages in Google Chrome when I visit some websites:

    1. "Your connection isn't private. Net:: Err_Cert_Authority_Invalid"
    2. " This Ca Root Certificate is not trusted. To enable trust, install this certificate in the trusted Root Certificate Authorities store."

    These errors seem to occur after installing pfBlockerNG devel 3.0.0_7. I'm also having trouble with some apps on my phone especially with the Amazon app. I keep getting dog pictures when it crashes. I was told this how the Amazon app shows error messages when it cannot validate the CA certificate as trusted. It sends you to the dog house... ๐Ÿ˜ข ๐Ÿ˜  NordVPN enabled in pfSense.

    Is this occurring because of PfBlocker? Is there a fix or should I remove this package?
    Your help would be greatly appreciated.

    Thanks,

    Ghost๐Ÿ‘ป